Webhooks
Get a webhook endpoint
GET
/webhooks/{id}Needsworkspace.settingsAuthorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Path Parameters
id*integerThe endpoint's id.
Range
1 <= valueResponse Body
OK
application/json- response
webhook*Shell
curl -X GET 'https://app.cueston.com/api/webhooks/1'Example Response
JSON
{
"webhook": {
"id": 42,
"url": "https://app.acme.com/settings/billing",
"description": "string",
"events": [
"string"
],
"active": true,
"disabledReason": "string",
"disabledAt": "2026-10-26T09:30:00Z",
"failingSince": "2026-10-26T09:30:00Z",
"lastSuccessAt": "2026-10-26T09:30:00Z",
"lastFailureAt": "2026-10-26T09:30:00Z",
"secretHint": "whsec_9vY2…",
"previousSecretExpiresAt": "2026-10-26T09:30:00Z",
"createdAt": "2026-10-26T09:30:00Z",
"updatedAt": "2026-10-26T09:30:00Z"
}
}